All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.html
Class DefaultTableCellEditor

    com.sas.servlet.tbeans.tableview.html.DefaultTableCellEditor

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableCell, TableCellEditor, javax.swing.SwingConstants

    public class DefaultTableCellEditor

implements TableCellEditor

The DefaultTableCellEditor is the default class for generating the appropriate HTML 4.0 to represent a cell of a TableView that can be edited. It renderers the HTML language tags and the cell's contents (or body). The cell's contents will consist of a valid HTML form component.

For example: An html table cell renderer would generate "<TD>cell contents</TD>".

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:CellRenderer custom tag.

See Also:
  `TableView`

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`DefaultTableCellEditor()` Constructs a new DefaultTableCellEditor
`DefaultTableCellEditor(TableCellContentsEditor cEditor)` Constructs a new DefaultTableCellEditor with the given TableCellContentsRenderer

Method Summary
`TableCellContentsEditor` | `getTableCellContentsEditor()` Gets the cell contents editor used to display the cell's contents.
`boolean` | `isCellEditable(int row, int column)`
`void` | `setTableCellContentsEditor(TableCellContentsEditor contentsEditor)` Sets the cell contents editor used to display the cell's contents.
`void` | `write(java.io.PrintWriter out, AbstractBaseTableView tableview, java.lang.Object value, java.lang.String name, ActionList actions)` Write the entire table cell in the appropriate markup language.

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableCell
`getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getId, getLocale, getRowSpan, getScope, getStyleInfo, getVerticalAlignment, getWidth, getWidthPercentage, isHeader, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeader, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setId, setLocale, setNoWrap, setRowSpan, setScope, setStyleInfo, setVerticalAlignment, setWidth, setWidthPercentage, writeBeginCell, writeEndCell`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCellEditor
`getLocale, setLocale`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCell
`isHeader, setHeader, writeBeginCell, writeEndCell`

Constructor Detail

### DefaultTableCellEditor

    public DefaultTableCellEditor()

  Constructs a new DefaultTableCellEditor

### DefaultTableCellEditor

    public DefaultTableCellEditor(TableCellContentsEditor cEditor)

  Constructs a new DefaultTableCellEditor with the given TableCellContentsRenderer

  Parameters:
    `cEditor` - an instance of TableCellContentsEditor

Method Detail

### setTableCellContentsEditor

    public void setTableCellContentsEditor(TableCellContentsEditor contentsEditor)

  Sets the cell contents editor used to display the cell's contents.

  Specified by:
    `setTableCellContentsEditor` in interface `TableCellEditor`
  Parameters:
    `contentsEditor` - the editor used to display the cell's contents.

### getTableCellContentsEditor

    public TableCellContentsEditor getTableCellContentsEditor()

  Gets the cell contents editor used to display the cell's contents.

  Specified by:
    `getTableCellContentsEditor` in interface `TableCellEditor`
  Returns:
    the editor used to display the cell's contents.

### write

    public void write(java.io.PrintWriter out,
                      AbstractBaseTableView tableview,
                      java.lang.Object value,
                      java.lang.String name,
                      ActionList actions)
               throws java.io.IOException

  Write the entire table cell in the appropriate markup language. This method calls the writeBeginCell, writeEndCell and TableCellContentsEditor.setCellEditorContentsValue methods.

  Specified by:
    `write` in interface `TableCell`
  Specified by:
    `write` in class `BaseTableCell`
  Parameters:
    `out` - the output stream
    `tableview` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents component
    `actions` - an actionlist of all the valid actions for this cell
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.